---
title: HTMLFontElement
slug: Web/API/HTMLFontElement
tags:
  - API
  - HTML DOM
  - Interface
  - Obsolete
  - Reference
---
<div>{{obsolete_header}}{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">Implements the document object model (DOM) representation of the font element. The HTML Font Element {{HTMLElement("font")}} defines the font size, font face and color of text.</span></p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLFontElement.color")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the {{htmlattrxref("color", "font")}} HTML attribute, containing either a named color or a color specified in the hexadecimal #RRGGBB format.</dd>
 <dt>{{domxref("HTMLFontElement.face")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the {{htmlattrxref("face", "font")}} HTML attribute, containing a comma-separated list of one or more font names.</dd>
 <dt>{{domxref("HTMLFontElement.size")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the {{htmlattrxref("size", "font")}} HTML attribute, containing either a font size number ranging from 1 to 7 or a relative size to the {{htmlattrxref("size", "basefont")}} attribute of the {{HTMLElement("basefont")}} element, for example -2 or +1.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<dl>
 <dd>The <code>&lt;font&gt;</code> tag is not supported in HTML5 since it is now obsolete.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLFontElement")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{HTMLElement("font")}}.</li>
</ul>
